<?php

return array
(
	# 表名
	'name' => 'channel',
	# 显示给用户看的名称
	'lang' => '渠道管理',
	'order' => 8,
	'menu' => false,
	'end' => array
    (
        'update' => array
        (
            'pay/lib/manage.updateChannel',
        ),
        'insert' => array
        (
            'pay/lib/manage.updateChannel',
        )
    ),
	# 数据结构
	'struct' => array
	(
	
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> true,
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-60',
			'name' 		=> '渠道名称',
			'default' 	=> '',
			'desc' 		=> '渠道名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '申请时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	# 默认值
	'default' => array
	(
		'col' => 'name,state,cdate',
		'value' => array
		(
			'"官方渠道",1,' . time(),
		),
	),

	# request 请求接口定义
	'request' => array
	(
		'getData' => array
		(
			'where' => array
			(
				'state' => 1,
			),
			'col' => 'id,name',
			'type' => 'all',
		),
	)
);
