<?php
$status = array
(
    1 => array('name' => '申请中', 'style' => 'font-weight:bold;color:blue'),
    2 => array('name' => '受理成功', 'style' => 'font-weight:bold;color:green'),
    3 => array('name' => '受理失败', 'style' => 'font-weight:bold;color:#CD3700'),
);

$type = array
(
	1 => '划付',
	2 => '分账',
);

$auto = array
(
	1 => '自动',
	2 => '手动',
);
return array
(
    # 表名
    'name' => 'yspay_cash_log',
    # 显示给用户看的名称
    'lang' => '银联资金日志列表',
    'order' => -200,
    'menu' => false,
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'update'    => 'hidden',
            //'list'        => true,
        ),

        'merchant_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '商户id',
            'default'   => '',
            'desc'      => '商户id',
            'match'     => 'option',
            'update'    => 'hidden',
            'value'     => Dever::input('search_option_merchant_id'),
            'list_name' => '商户名称',
            'list'      => 'Dever::load("pay/yspay_merchant-one#name", "{merchant_id}")',
        ),

        'mid'      => array
        (
            'type'      => 'varchar-50',
            'name'      => '分账商户号',
            'default'   => '',
            'desc'      => '分账商户号',
            'match'     => 'option',
            'update'    => 'text',
            'searchs'    => 'fulltext',
            'list'		=> true,
        ),

        'order_num'      => array
        (
            'type'      => 'varchar-100',
            'name'      => '订单号',
            'default'   => '',
            'desc'      => '订单号',
            'match'     => 'is_string',
            'update'    => 'text',
            'list'		=> true,
        ),

        'type'      => array
        (
            'type'      => 'int-11',
            'name'      => '类型',
            'default'   => '',
            'desc'      => '类型',
            'match'     => 'is_numeric',
            'update'    => 'text',
            'option'    => $type,
        ),

        'cash'      => array
        (
            'type'      => 'int-11',
            'name'      => '提现金额',
            'default'   => '0',
            'desc'      => '提现金额',
            'match'     => 'option',
            'update'    => 'text',
            'list'      => 'round({cash}/100, 2)',
        ),

        'tdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '提现时间',
            'default'   => '',
            'match'     => 'is_numeric',
            'desc'      => '',
            'search'    => 'date',
            'list'      => '"{tdate}" ? date("Y-m-d H:i", \'{tdate}\') : "-"',
            'order'		=> 'desc',
        ),

        'auto'      => array
        (
            'type'      => 'int-11',
            'name'      => '是否自动提现',
            'default'   => '1',
            'desc'      => '是否自动提现',
            'match'     => 'is_numeric',
            'update'    => 'text',
        ),

        'status'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '提现状态',
            'default'   => '1',
            'desc'      => '提现状态',
            'match'     => 'is_numeric',
            'option'    => $status,
            //'search'    => 'select',
            //'list'      => true,
        ),

        'error'      => array
        (
            'type'      => 'varchar-800',
            'name'      => '提现错误信息',
            'default'   => '',
            'desc'      => '提现错误信息',
            'match'     => 'is_string',
            'update'    => 'text',
        ),

        'desc'      => array
        (
            'type'      => 'varchar-800',
            'name'      => '备注',
            'default'   => '-',
            'desc'      => '备注',
            'match'     => 'is_numeric',
            'update'    => 'text',
            //'list'      => true,
        ),

        'response'        => array
        (
            'type'      => 'text-255',
            'name'      => '回调响应数据',
            'default'   => '',
            'desc'      => '回调响应数据',
            'match'     => 'is_string',
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            //'insert'    => true,
            //'search'    => 'date',
            //'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        'edit' => false,
        'insert' => false,
        'delete' => false,
    ),

    'request' => array
    (
        
    ),
);
