<?php

$step = Dever::db('pay/yspay_sign')->config['step'];
$step[100] = '绑定门店';

return array
(
    # 表名
    'name' => 'yspay_sign_log',
    # 显示给用户看的名称
    'lang' => '自主签约日志',
    # 后台菜单排序
    'order' => 99,
    'step' => $step,
    'menu' => false,
    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            //'list'      => true,
            'order'     => 'desc',
        ),

        'account_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '账户id',
            'default'   => '',
            'desc'      => '账户id',
            'match'     => 'option',
            'search'    => 'hidden',
            'update'    => 'hidden',
            'value'     => Dever::input('search_option_account_id'),
        ),

        'merchant_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '商户id',
            'default'   => '',
            'desc'      => '商户id',
            'match'     => 'option',
            'update'    => 'hidden',
            'value'     => Dever::input('search_option_merchant_id'),
            'list_name' => '商户名称',
            'list'      => 'Dever::load("pay/yspay_merchant-one#name", "{merchant_id}")',
        ),

        'step'      => array
        (
            'type'      => 'int-11',
            'name'      => '当前进度',
            'default'   => '',
            'desc'      => '当前进度',
            'match'     => 'option',
            'update'    => 'text',
            'option'    => $step,
            'list'      => true,
        ),

        'desc'     => array
        (
            'type'      => 'varchar-800',
            'name'      => '日志描述',
            'default'   => '',
            'desc'      => '日志描述',
            'match'     => 'option',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'request_seq'     => array
        (
            'type'      => 'varchar-800',
            'name'      => '请求流水号',
            'default'   => '',
            'desc'      => '请求流水号',
            'match'     => 'option',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'request'     => array
        (
            'type'      => 'text-255',
            'name'      => '请求数据',
            'default'   => '',
            'desc'      => '请求数据',
            'match'     => 'option',
            'update'    => 'text',
        ),

        'response'     => array
        (
            'type'      => 'text-255',
            'name'      => '响应数据',
            'default'   => '',
            'desc'      => '响应数据',
            'match'     => 'option',
            'update'    => 'text',
        ),

        'admin_id'       => array
        (
            'type'      => 'int-11',
            'name'      => '管理员id',
            'default'   => '0',
            'desc'      => '管理员id',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '请求时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            //'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),
	'manage' => array
    (
        'insert' => false,
        'edit' => false,
        'delete' => false,
    ),
);